<?php

declare(strict_types=1);

namespace Drupal\persistent_visitor_parameters;

use Drupal\Core\Config\ConfigFactoryInterface;
use Drupal\Core\Config\ImmutableConfig;

/**
 * The persistor base class.
 */
abstract class PersistorBase implements PersistorInterface {

  /**
   * The configuration object.
   *
   * @var \Drupal\Core\Config\ImmutableConfig
   */
  protected ImmutableConfig $config;

  /**
   * Constructs a StoreBase object.
   */
  public function __construct(
    protected readonly ConfigFactoryInterface $configFactory,
  ) {
    $this->config = $configFactory->get('persistent_visitor_parameters.settings');
  }

  /**
   * Returns the key / name to use for persisting.
   *
   * @return string
   *   The key.
   */
  public function getPersistorKey(): string {
    return $this->config->get('persistor_key');
  }

}
