<?php

declare(strict_types=1);

namespace Drupal\persistent_visitor_parameters;

use Drupal\Core\Render\HtmlResponse;

/**
 * The NULL persistor. Doesn't store or load anything.
 */
class PersistorNull extends PersistorBase implements PersistorInterface {

  /**
   * {@inheritDoc}
   */
  public function clear(): bool {
    return TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function persist(array $data, ?HtmlResponse $response): bool {
    // For this storage it's a success to not persist anything ;).
    return TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function load(): ?array {
    // Return nothing.
    return NULL;
  }

}
